Bug 452774 - firefox crashes quite often
firefox crashes quite often
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 19:43 EDT by Andre Klapper
Modified: 2018-04-11 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 15:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Klapper 2008-06-24 19:43:08 EDT
Description of problem:
Firefox 3 crashes on a lot of webpages for me, several times a day.

Version-Release number of selected component (if applicable):
firefox-3.0-1.fc9.i386

Steps to Reproduce:
e.g. it happened to me when i visited
http://www.welt.de/vermischtes/article2025326/TV-Moderatorin_Christmann_im_Schlaf_vergiftet.html

Probably related to plugins (flash?).
I have installed
libflashsupport-000-0.5.svn20070904.i386
flash-plugin-9.0.124.0-release.i386

Actual results:
$:andre\> firefox
**
** Gtk:ERROR:(gtkplug.c:182):gtk_plug_set_is_child: assertion failed:
(!GTK_WIDGET (plug)->parent)
/usr/lib/firefox-3.0/run-mozilla.sh: line 131: 29855 Aborted             "$prog"
${1+"$@"}


Any comments on how to debug this successfully appreciated. Seems like I cannot
run firefox in gdb. :-(
Comment 1 Matěj Cepl 2008-06-25 12:21:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Andre Klapper 2008-06-28 17:30:13 EDT
(gdb) thread apply all backtrace
No registers.

yeah, awesome. that was helpful :-D
Comment 3 Andre Klapper 2008-06-28 17:36:10 EDT
second try was more successful:


$:andre\> firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0:/usr/lib/firefox-3.0/plugins:/usr/lib/firefox-3.0
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0:/usr/lib/firefox-3.0
    
LIBRARY_PATH=/usr/lib/firefox-3.0:/usr/lib/firefox-3.0/components:/usr/lib/firefox-3.0
       SHLIB_PATH=/usr/lib/firefox-3.0:/usr/lib/firefox-3.0
          LIBPATH=/usr/lib/firefox-3.0:/usr/lib/firefox-3.0
       ADDON_PATH=/usr/lib/firefox-3.0
      MOZ_PROGRAM=/usr/lib/firefox-3.0/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in
(/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/home/andre/bin)
/usr/bin/gdb /usr/lib/firefox-3.0/firefox -x /tmp/mozargs.Apnd2W
GNU gdb Fedora (6.8-10.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/firefox-3.0/firefox '-UILocale' 'de'
[Thread debugging using libthread_db enabled]
[New Thread 0xb80aa6d0 (LWP 4829)]
[New Thread 0xb7e5bb90 (LWP 4832)]
[New Thread 0xb745ab90 (LWP 4833)]
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value
"((GString*) 0x979dc90)" of type `GString'
[New Thread 0xb6982b90 (LWP 4834)]
[New Thread 0xb5f81b90 (LWP 4835)]
[New Thread 0xb5580b90 (LWP 4836)]
[New Thread 0xb39a7b90 (LWP 4841)]
[New Thread 0xb2fa6b90 (LWP 4851)]
[New Thread 0xb25a5b90 (LWP 4852)]
[Thread 0xb2fa6b90 (LWP 4851) exited]
[New Thread 0xb2fa6b90 (LWP 4853)]
[New Thread 0xb1ba4b90 (LWP 4854)]
[New Thread 0xb11a3b90 (LWP 4855)]
[New Thread 0xb07a2b90 (LWP 4856)]
[New Thread 0xafda1b90 (LWP 4857)]
[Thread 0xafda1b90 (LWP 4857) exited]
[Thread 0xb11a3b90 (LWP 4855) exited]
[Thread 0xb07a2b90 (LWP 4856) exited]
[Thread 0xb25a5b90 (LWP 4852) exited]
[Thread 0xb2fa6b90 (LWP 4853) exited]
Detaching after fork from child process 4858.
[New Thread 0xb2fa6b90 (LWP 4861)]
[New Thread 0xb25a5b90 (LWP 4862)]
[New Thread 0xb07a2b90 (LWP 4863)]
[New Thread 0xaeda1b90 (LWP 4864)]
[New Thread 0xae3a0b90 (LWP 4865)]
[Thread 0xae3a0b90 (LWP 4865) exited]
**
** Gtk:ERROR:(gtkplug.c:182):gtk_plug_set_is_child: assertion failed:
(!GTK_WIDGET (plug)->parent)

Program received signal SIGABRT, Aborted.
0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bug-buddy.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 elfutils.i386 esound.i386 expat.i386 fontconfig.i386
freetype.i386 gail.i386 gamin.i386 gnome-keyring.i386 gtk-nodoka-engine.i386
hunspell.i386 keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386
libX11.i386 libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386
libXdmcp.i386 libXext.i386 libXfixes.i386 libXft.i386 libXi.i386
libXinerama.i386 libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386
libbonobo.i386 libbonoboui.i386 libcap.i386 libflashsupport.i386 libgnome.i386
libgnomecanvas.i386 libgnomeui.i386 libjpeg.i386 libpng.i386 libselinux.i386
libxcb.i386 libxml2.i386 nss.i386 openssl.i686 pixman.i386 popt.i386
pulseaudio.i386 sqlite.i386 zlib.i386
(gdb) thread apply all bt

Thread 18 (Thread 0xaeda1b90 (LWP 4864)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d4dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized
out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x034d5be0 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x04905c07 in nsHostResolver::GetHostToLookup (this=<value optimized out>,
result=Could not find the frame base for
"nsHostResolver::GetHostToLookup(nsHostRecord**)".
) at nsHostResolver.cpp:595
#5  0x04906314 in nsHostResolver::ThreadFunc (arg=<value optimized out>) at
nsHostResolver.cpp:690
#6  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#7  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x0056827e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xb07a2b90 (LWP 4863)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00632f25 in sem_wait@@GLIBC_2.1 () from /lib/libpthread.so.0
#2  0x082091a8 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#3  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x0056827e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xb25a5b90 (LWP 4862)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x081feff8 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#3  0x082f9438 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#4  0x081ff34d in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#5  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0056827e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xb2fa6b90 (LWP 4861)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x081feff8 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
---Type <return> to continue, or q <return> to quit---
#3  0x082f9438 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#4  0x081ff34d in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#5  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x0056827e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xb1ba4b90 (LWP 4854)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0055dac7 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00acd892 in __libc_res_nsend (statp=<value optimized out>, buf=<value
optimized out>, buflen=<value optimized out>, 
    ans=<value optimized out>, anssiz=<value optimized out>, ansp=<value
optimized out>) at res_send.c:904
#3  0x00acbfc4 in __libc_res_nquery (statp=<value optimized out>, name=<value
optimized out>, class=<value optimized out>, 
    type=<value optimized out>, answer=<value optimized out>, anslen=<value
optimized out>, answerp=<value optimized out>)
    at res_query.c:171
#4  0x00acc3b0 in __libc_res_nquerydomain (statp=<value optimized out>,
name=<value optimized out>, 
    domain=<value optimized out>, class=Could not find the frame base for
"__libc_res_nquerydomain".
) at res_query.c:452
#5  0x00acc595 in __libc_res_nsearch (statp=<value optimized out>, name=<value
optimized out>, 
    class=<value optimized out>, type=<value optimized out>, answer=<value
optimized out>, anslen=<value optimized out>, 
    answerp=<value optimized out>) at res_query.c:278
#6  0x01004824 in _nss_dns_gethostbyname3_r (name=0xb804dd4 "cdn.last.fm",
af=10, result=0xb1ba4148, 
    buffer=0xb1ba3e00 "\177", buflen=512, errnop=0xb1ba4170,
h_errnop=0xb1ba4160, ttlp=0x0, canonp=0x0)
    at nss_dns/dns-host.c:188
#7  0x01004acb in _nss_dns_gethostbyname2_r (name=0xb804dd4 "cdn.last.fm",
af=10, result=0xb1ba4148, 
    buffer=0xb1ba3e00 "\177", buflen=512, errnop=0xb1ba4170,
h_errnop=0xb1ba4160) at nss_dns/dns-host.c:235
#8  0x0054c4a6 in gaih_inet (name=<value optimized out>, service=<value
optimized out>, req=<value optimized out>, 
    pai=<value optimized out>, naddrs=<value optimized out>) at
../sysdeps/posix/getaddrinfo.c:707
#9  0x0054dfe4 in getaddrinfo (name=<value optimized out>, service=<value
optimized out>, hints=<value optimized out>, 
    pai=<value optimized out>) at ../sysdeps/posix/getaddrinfo.c:2101
#10 0x034ce4d9 in PR_GetAddrInfoByName (hostname=<value optimized out>,
af=<value optimized out>, 
    flags=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/misc/prnetdb.c:2042
#11 0x04906356 in nsHostResolver::ThreadFunc (arg=<value optimized out>) at
nsHostResolver.cpp:697
#12 0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#13 0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#14 0x0056827e in clone () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 7 (Thread 0xb39a7b90 (LWP 4841)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d5c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x034d5cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#4  0x050ccb0d in nsEventQueue::GetEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
#5  0x050cd9b8 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.h:112
#6  0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#7  0x050ce290 in nsThread::ThreadFunc (arg=<value optimized out>) at
nsThread.cpp:254
#8  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x0056827e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xb5580b90 (LWP 4836)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d5c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x04ee97ad in nsCertVerificationThread::Run (this=<value optimized out>) at
nsCertVerificationThread.cpp:138
#4  0x04ee7f52 in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the
frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x0056827e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xb5f81b90 (LWP 4835)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d5c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
---Type <return> to continue, or q <return> to quit---
#3  0x04ee863d in nsSSLThread::Run (this=<value optimized out>) at
nsSSLThread.cpp:964
#4  0x04ee7f52 in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the
frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x0056827e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb6982b90 (LWP 4834)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d4dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized
out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x034d5be0 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x034d5cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#5  0x050cfb27 in nsThreadPool::Run (this=<value optimized out>) at
../../dist/include/xpcom/nsAutoLock.h:340
#6  0x050cd9e2 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#7  0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#8  0x050ce290 in nsThread::ThreadFunc (arg=<value optimized out>) at
nsThread.cpp:254
#9  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#10 0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x0056827e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb745ab90 (LWP 4833)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00630ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034d4dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized
out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x034d5be0 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value
optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x050d103a in TimerThread::Run (this=<value optimized out>) at
TimerThread.cpp:345
#5  0x050cd9e2 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
---Type <return> to continue, or q <return> to quit---
#6  0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#7  0x050ce290 in nsThread::ThreadFunc (arg=<value optimized out>) at
nsThread.cpp:254
#8  0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x0056827e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7e5bb90 (LWP 4832)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0055dac7 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x034d7b34 in _pr_poll_with_poll (pds=<value optimized out>, npds=<value
optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
#3  0x048fbb49 in nsSocketTransportService::Poll (this=<value optimized out>,
wait=<value optimized out>, interval=Could not find the frame base for
"nsSocketTransportService::Poll(int, unsigned int*)".
)
    at nsSocketTransportService2.cpp:349
#4  0x048fc05e in nsSocketTransportService::DoPollIteration (this=<value
optimized out>, wait=<value optimized out>)
    at nsSocketTransportService2.cpp:644
#5  0x048fc31a in nsSocketTransportService::OnProcessNextEvent (this=<value
optimized out>, thread=<value optimized out>, 
    mayWait=<value optimized out>, depth=<value optimized out>) at
nsSocketTransportService2.cpp:523
#6  0x050cd986 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:497
#7  0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#8  0x048fbd75 in nsSocketTransportService::Run (this=<value optimized out>) at
nsSocketTransportService2.cpp:565
#9  0x050cd9e2 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#10 0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#11 0x050ce290 in nsThread::ThreadFunc (arg=<value optimized out>) at
nsThread.cpp:254
#12 0x034dbf51 in _pt_root (arg=<value optimized out>) at
../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#13 0x0062d32f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#14 0x0056827e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb80aa6d0 (LWP 4829)):
---Type <return> to continue, or q <return> to quit---
#0  0x00110416 in __kernel_vsyscall ()
#1  0x004b4660 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x004b6028 in abort () at abort.c:88
#3  0x006d4029 in IA__g_assertion_message (domain=<value optimized out>,
file=<value optimized out>, 
    line=<value optimized out>, func=<value optimized out>, message=<value
optimized out>) at gtestutils.c:1218
#4  0x006d44bd in IA__g_assertion_message_expr (domain=Could not find the frame
base for "IA__g_assertion_message_expr".
) at gtestutils.c:1229
#5  0x02eac44f in gtk_plug_set_is_child (plug=Could not find the frame base for
"gtk_plug_set_is_child".
) at gtkplug.c:182
#6  0x02eac7a8 in _gtk_plug_add_to_socket (plug=Could not find the frame base
for "_gtk_plug_add_to_socket".
) at gtkplug.c:267
#7  0x02ef99de in _gtk_socket_add_window (socket=Could not find the frame base
for "_gtk_socket_add_window".
) at gtksocket.c:835
#8  0x0301f2df in _gtk_socket_windowing_filter_func (gdk_xevent=Could not find
the frame base for "_gtk_socket_windowing_filter_func".
) at gtksocket-x11.c:447
#9  0x00b89def in gdk_event_apply_filters (xevent=Could not find the frame base
for "gdk_event_apply_filters".
) at gdkevents-x11.c:345
#10 0x00b8adae in gdk_event_translate (display=Could not find the frame base for
"gdk_event_translate".
) at gdkevents-x11.c:984
#11 0x00b8cdb2 in _gdk_events_queue (display=Could not find the frame base for
"_gdk_events_queue".
) at gdkevents-x11.c:2285
#12 0x00b8cf84 in gdk_event_dispatch (source=Could not find the frame base for
"gdk_event_dispatch".
) at gdkevents-x11.c:2345
#13 0x006ad098 in IA__g_main_context_dispatch (context=<value optimized out>) at
gmain.c:2009
#14 0x006b0743 in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, 
    dispatch=<value optimized out>, self=Could not find the frame base for
"g_main_context_iterate".
) at gmain.c:2642
#15 0x006b0901 in IA__g_main_context_iteration (context=<value optimized out>,
may_block=<value optimized out>)
    at gmain.c:2705
#16 0x04ff9320 in nsAppShell::ProcessNextNativeEvent (this=Could not find the
frame base for "nsAppShell::ProcessNextNativeEvent(int)".
) at nsAppShell.cpp:144
#17 0x0500ff30 in nsBaseAppShell::DoProcessNextNativeEvent (this=Could not find
the frame base for "nsBaseAppShell::DoProcessNextNativeEvent(int)".
) at nsBaseAppShell.cpp:151
#18 0x050100c7 in nsBaseAppShell::OnProcessNextEvent (this=<value optimized
out>, thr=<value optimized out>, 
    mayWait=<value optimized out>, recursionDepth=Could not find the frame base
for "nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, int, unsigned int)".
) at nsBaseAppShell.cpp:296
#19 0x050cd986 in nsThread::ProcessNextEvent (this=<value optimized out>,
mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:497
#20 0x0509a978 in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#21 0x05010210 in nsBaseAppShell::Run (this=<value optimized out>) at
nsBaseAppShell.cpp:170
#22 0x04ec4558 in nsAppStartup::Run (this=<value optimized out>) at
nsAppStartup.cpp:181
#23 0x04894961 in XRE_main (argc=<value optimized out>, argv=<value optimized
out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#24 0x08049169 in main (argc=3, argv=0xbfdc33d4) at nsXULStub.cpp:364
(gdb) 
Comment 4 Matěj Cepl 2008-06-30 13:24:38 EDT
Andre, could I get output of this command

rpm -qa \*firefox\* \*mozilla\* \*flash\* \*plugin\*

(just to be sure, that your setup of firefox related stuff is in a good shape),
please?
Comment 5 Andre Klapper 2008-06-30 13:41:51 EDT
$:andre\> rpm -qa | grep firefox
firefox-debuginfo-3.0-1.fc9.i386
firefox-3.0-1.fc9.i386

$:andre\> rpm -qa | grep mozilla
mozilla-filesystem-1.9-2.fc9.i386

$:andre\> rpm -qa | grep flash
flash-plugin-9.0.124.0-release.i386
libflashsupport-000-0.5.svn20070904.i386

$:andre\> rpm -qa | grep plugin
setroubleshoot-plugins-2.0.4-5.fc9.noarch
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
totem-mozplugin-2.23.2-4.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
flash-plugin-9.0.124.0-release.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-good-0.10.8-5.fc9.i386
maven-shared-plugin-testing-harness-1.0-4jpp.4.fc9.i386
java-1.6.0-openjdk-plugin-1.6.0.0-0.15.b09.fc9.i386
gstreamer-plugins-farsight-0.12.7-2.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
Comment 6 Matěj Cepl 2008-06-30 15:05:46 EDT
You are missing nspluginwrapper. Install it and restart firefox.

Does it help?

(and BTW, I don't what was your last distro -- OpenSuSE? -- but the command line
I wrote above actually works, no need of grepping here ;-)).
Comment 7 Andre Klapper 2008-07-02 15:23:21 EDT
Totally stable now. Awesome. Now why wasn't this installed by default? License
issues? Great. Thanks man, I pay the next coffee! ;-)

yes, opensuse. :-D
Comment 8 Matěj Cepl 2008-07-02 16:25:02 EDT
No, there are no license issues in nspluginwrapper itself, that's totally free,
but it is not simple to find the reason why it should be installed in Fedora per
default -- you need to have it installed only when you have non-free
flash-plugin which we don't provide (of course). I think we should have it
installed per default, just for chance that somebody would install flash-plugin
(I heard some our users do it ;-)), but the real developers decided otherwise.
Comment 9 Andre Klapper 2008-07-02 17:18:56 EDT
From a user point of view I'd propose installing ndiswrapper as an enhancement
bug. Of course I could also use gnash or swfdec (also giving it a try from time
to time) but it's just likely that it WILL happen.
Comment 10 Matěj Cepl 2008-07-02 17:23:26 EDT
As a followup to our IRC conversation, I would note, that if you
upgraded/installed using anaconda (which is the only supported way how to
install/upgrade Fedora), you would get nspluginwrapper installed.

Note You need to log in before you can comment on or make changes to this bug.